# cloudmersive

Cloudmersive - JavaScript client for cloudmersive
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.2.1
- Package version: 1.2.1
- Build package: io.swagger.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/),
please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install cloudmersive --save
```

#### git
#
If the library is hosted at a git repository, e.g.
https://github.com/YOUR_USERNAME/cloudmersive
then install it via:

```shell
    npm install YOUR_USERNAME/cloudmersive --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var Cloudmersive = require('cloudmersive');

var api = new Cloudmersive.BarcodeLookupApi()

var value = "value_example"; // {String} Barcode value


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.barcodeLookupEanLookup(value, callback);

```

## Documentation for API Endpoints

All URIs are relative to *https://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*Cloudmersive.BarcodeLookupApi* | [**barcodeLookupEanLookup**](docs/BarcodeLookupApi.md#barcodeLookupEanLookup) | **POST** /barcode/lookup/ean | Lookup a barcode value and return product data
*Cloudmersive.ConvertDataApi* | [**convertDataCsvToJson**](docs/ConvertDataApi.md#convertDataCsvToJson) | **POST** /convert/csv/to/json | CSV to JSON conversion
*Cloudmersive.ConvertDataApi* | [**convertDataXmlToJson**](docs/ConvertDataApi.md#convertDataXmlToJson) | **POST** /convert/xml/to/json | XML to JSON conversion
*Cloudmersive.ConvertDocumentApi* | [**convertDocumentAutodetectToPdf**](docs/ConvertDocumentApi.md#convertDocumentAutodetectToPdf) | **POST** /convert/autodetect/to/pdf | Convert Document to PDF
*Cloudmersive.ConvertDocumentApi* | [**convertDocumentDocxToPdf**](docs/ConvertDocumentApi.md#convertDocumentDocxToPdf) | **POST** /convert/docx/to/pdf | Word DOCX to PDF
*Cloudmersive.ConvertDocumentApi* | [**convertDocumentPptxToPdf**](docs/ConvertDocumentApi.md#convertDocumentPptxToPdf) | **POST** /convert/pptx/to/pdf | PowerPoint PPTX to PDF
*Cloudmersive.ConvertDocumentApi* | [**convertDocumentXlsxToCsv**](docs/ConvertDocumentApi.md#convertDocumentXlsxToCsv) | **POST** /convert/xlsx/to/csv | Excel XLSX to CSV
*Cloudmersive.ConvertDocumentApi* | [**convertDocumentXlsxToPdf**](docs/ConvertDocumentApi.md#convertDocumentXlsxToPdf) | **POST** /convert/xlsx/to/pdf | Excel XLSX to PDF
*Cloudmersive.ConvertImageApi* | [**convertImageImageFormatConvert**](docs/ConvertImageApi.md#convertImageImageFormatConvert) | **POST** /convert/image/{format1}/to/{format2} | Image format conversion
*Cloudmersive.ConvertTemplateApi* | [**convertTemplateApplyHtmlTemplate**](docs/ConvertTemplateApi.md#convertTemplateApplyHtmlTemplate) | **POST** /convert/template/html/apply | Apply HTML template
*Cloudmersive.ConvertWebApi* | [**convertWebHtmlToPdf**](docs/ConvertWebApi.md#convertWebHtmlToPdf) | **POST** /convert/web/html/to/pdf | Convert HTML string to PDF
*Cloudmersive.ConvertWebApi* | [**convertWebUrlToPdf**](docs/ConvertWebApi.md#convertWebUrlToPdf) | **POST** /convert/web/url/to/pdf | Convert a URL to PDF
*Cloudmersive.ConvertWebApi* | [**convertWebUrlToScreenshot**](docs/ConvertWebApi.md#convertWebUrlToScreenshot) | **POST** /convert/web/url/to/screenshot | Take screenshot of URL
*Cloudmersive.DomainApi* | [**domainCheck**](docs/DomainApi.md#domainCheck) | **POST** /validate/domain/check | Validate a domain name
*Cloudmersive.DomainApi* | [**domainPost**](docs/DomainApi.md#domainPost) | **POST** /validate/domain/whois | Get WHOIS information for a domain
*Cloudmersive.EmailApi* | [**emailAddressGetServers**](docs/EmailApi.md#emailAddressGetServers) | **POST** /validate/email/address/servers | Partially check whether an email address is valid
*Cloudmersive.EmailApi* | [**emailFullValidation**](docs/EmailApi.md#emailFullValidation) | **POST** /validate/email/address/full | Fully validate an email address
*Cloudmersive.EmailApi* | [**emailPost**](docs/EmailApi.md#emailPost) | **POST** /validate/email/address/syntaxOnly | Validate email adddress for syntactic correctness only
*Cloudmersive.ExtractEntitiesStringApi* | [**extractEntitiesStringPost**](docs/ExtractEntitiesStringApi.md#extractEntitiesStringPost) | **POST** /nlp/ExtractEntitiesString | Extract entities from string
*Cloudmersive.FaceApi* | [**faceCropFirst**](docs/FaceApi.md#faceCropFirst) | **POST** /image/face/crop/first | Crop image to face (square)
*Cloudmersive.FaceApi* | [**faceCropFirstRound**](docs/FaceApi.md#faceCropFirstRound) | **POST** /image/face/crop/first/round | Crop image to face (round)
*Cloudmersive.FaceApi* | [**faceLocate**](docs/FaceApi.md#faceLocate) | **POST** /image/face/locate | Find faces in an image
*Cloudmersive.GenerateBarcodeApi* | [**generateBarcodeEAN13**](docs/GenerateBarcodeApi.md#generateBarcodeEAN13) | **POST** /barcode/generate/ean-13 | Validates and generate a EAN-13 barcode as a PNG file, a type of 1D barcode
*Cloudmersive.GenerateBarcodeApi* | [**generateBarcodeEAN8**](docs/GenerateBarcodeApi.md#generateBarcodeEAN8) | **POST** /barcode/generate/ean-8 | Validates and generate a EAN-8 barcode as a PNG file, a type of 1D barcode
*Cloudmersive.GenerateBarcodeApi* | [**generateBarcodeQRCode**](docs/GenerateBarcodeApi.md#generateBarcodeQRCode) | **POST** /barcode/generate/qrcode | Generate a QR code barcode as a PNG file, a type of 2D barcode which can encode free-form text information
*Cloudmersive.GenerateBarcodeApi* | [**generateBarcodeUPCA**](docs/GenerateBarcodeApi.md#generateBarcodeUPCA) | **POST** /barcode/generate/upc-a | Validate and generate a UPC-A barcode as a PNG file, a type of 1D barcode
*Cloudmersive.GenerateBarcodeApi* | [**generateBarcodeUPCE**](docs/GenerateBarcodeApi.md#generateBarcodeUPCE) | **POST** /barcode/generate/upc-e | Validates and generate a UPC-E barcode as a PNG file, a type of 1D barcode
*Cloudmersive.IPAddressApi* | [**iPAddressPost**](docs/IPAddressApi.md#iPAddressPost) | **POST** /validate/ip/geolocate | Geolocate an IP address
*Cloudmersive.ImageOcrApi* | [**imageOcrPost**](docs/ImageOcrApi.md#imageOcrPost) | **POST** /ocr/image/toText | Converts an uploaded image in common formats such as JPEG, PNG into text via Optical Character Recognition.
*Cloudmersive.LanguageDetectionApi* | [**languageDetectionPost**](docs/LanguageDetectionApi.md#languageDetectionPost) | **POST** /nlp/language/detect | Detect language of text
*Cloudmersive.NsfwApi* | [**nsfwClassify**](docs/NsfwApi.md#nsfwClassify) | **POST** /image/nsfw/classify | NSFW image classifier
*Cloudmersive.ParseStringApi* | [**parseStringPost**](docs/ParseStringApi.md#parseStringPost) | **POST** /nlp/ParseString | Parse string to syntax tree
*Cloudmersive.PosTaggerJsonApi* | [**posTaggerJsonPost**](docs/PosTaggerJsonApi.md#posTaggerJsonPost) | **POST** /nlp/PosTaggerJson | Part-of-speech tag a string
*Cloudmersive.PosTaggerStringApi* | [**posTaggerStringPost**](docs/PosTaggerStringApi.md#posTaggerStringPost) | **POST** /nlp/PosTaggerString | Part-of-speech tag a string
*Cloudmersive.RecognizeApi* | [**recognizeDescribe**](docs/RecognizeApi.md#recognizeDescribe) | **POST** /image/recognize/describe | Describe an image in natural language
*Cloudmersive.ResizeApi* | [**resizePost**](docs/ResizeApi.md#resizePost) | **POST** /image/resize/preserveAspectRatio/{maxWidth}/{maxHeight} | Resize an image with parameters
*Cloudmersive.ScanApi* | [**scanFile**](docs/ScanApi.md#scanFile) | **POST** /virus/scan/file | Scan a file for viruses
*Cloudmersive.SentencesApi* | [**sentencesPost**](docs/SentencesApi.md#sentencesPost) | **POST** /nlp/get/sentences/string | Extract sentences from string
*Cloudmersive.SpellCheckApi* | [**spellCheckCheckJson**](docs/SpellCheckApi.md#spellCheckCheckJson) | **POST** /nlp/spellcheck/check/word/json | Spell check word
*Cloudmersive.SpellCheckApi* | [**spellCheckCheckSentenceJson**](docs/SpellCheckApi.md#spellCheckCheckSentenceJson) | **POST** /nlp/spellcheck/check/sentence/json | Check if sentence is spelled correctly
*Cloudmersive.SpellCheckApi* | [**spellCheckCheckSentenceString**](docs/SpellCheckApi.md#spellCheckCheckSentenceString) | **POST** /nlp/spellcheck/check/sentence/string | Spell check a sentence
*Cloudmersive.SpellCheckApi* | [**spellCheckCorrect**](docs/SpellCheckApi.md#spellCheckCorrect) | **POST** /nlp/spellcheck/correct/word/string | Find spelling corrections
*Cloudmersive.SpellCheckApi* | [**spellCheckCorrectJson**](docs/SpellCheckApi.md#spellCheckCorrectJson) | **POST** /nlp/spellcheck/correct/word/json | Find spelling corrections
*Cloudmersive.SpellCheckApi* | [**spellCheckPost**](docs/SpellCheckApi.md#spellCheckPost) | **POST** /nlp/spellcheck/check/word/string | Spell check a word
*Cloudmersive.WordsApi* | [**wordsAdjectives**](docs/WordsApi.md#wordsAdjectives) | **POST** /nlp/get/words/adjectives/string | Get adjectives in string
*Cloudmersive.WordsApi* | [**wordsAdverbs**](docs/WordsApi.md#wordsAdverbs) | **POST** /nlp/get/words/adverbs/string | Get adverbs in input string
*Cloudmersive.WordsApi* | [**wordsGetWordsJson**](docs/WordsApi.md#wordsGetWordsJson) | **POST** /nlp/get/words/json | Get words in input string (JSON)
*Cloudmersive.WordsApi* | [**wordsGetWordsString**](docs/WordsApi.md#wordsGetWordsString) | **POST** /nlp/get/words/string | Get words from string
*Cloudmersive.WordsApi* | [**wordsNouns**](docs/WordsApi.md#wordsNouns) | **POST** /nlp/get/words/nouns/string | Get nouns in string
*Cloudmersive.WordsApi* | [**wordsPost**](docs/WordsApi.md#wordsPost) | **POST** /nlp/get/words/verbs/string | Get the verbs in a string
*Cloudmersive.WordsApi* | [**wordsPronouns**](docs/WordsApi.md#wordsPronouns) | **POST** /nlp/get/words/pronouns/string | Returns all pronounts in string
*Cloudmersive.WordsApi* | [**wordsProperNouns**](docs/WordsApi.md#wordsProperNouns) | **POST** /nlp/get/words/properNouns/string | Get proper nouns in a string


## Documentation for Models

 - [Cloudmersive.ConverttemplatehtmlapplyOperations](docs/ConverttemplatehtmlapplyOperations.md)
 - [Cloudmersive.InlineResponse200](docs/InlineResponse200.md)
 - [Cloudmersive.InlineResponse2001](docs/InlineResponse2001.md)
 - [Cloudmersive.InlineResponse20010](docs/InlineResponse20010.md)
 - [Cloudmersive.InlineResponse20011](docs/InlineResponse20011.md)
 - [Cloudmersive.InlineResponse20011Words](docs/InlineResponse20011Words.md)
 - [Cloudmersive.InlineResponse20012](docs/InlineResponse20012.md)
 - [Cloudmersive.InlineResponse20013](docs/InlineResponse20013.md)
 - [Cloudmersive.InlineResponse20013Matches](docs/InlineResponse20013Matches.md)
 - [Cloudmersive.InlineResponse20014](docs/InlineResponse20014.md)
 - [Cloudmersive.InlineResponse20014Faces](docs/InlineResponse20014Faces.md)
 - [Cloudmersive.InlineResponse20015](docs/InlineResponse20015.md)
 - [Cloudmersive.InlineResponse20016](docs/InlineResponse20016.md)
 - [Cloudmersive.InlineResponse20016BestOutcome](docs/InlineResponse20016BestOutcome.md)
 - [Cloudmersive.InlineResponse20016RunnerUpOutcome](docs/InlineResponse20016RunnerUpOutcome.md)
 - [Cloudmersive.InlineResponse20017](docs/InlineResponse20017.md)
 - [Cloudmersive.InlineResponse20018](docs/InlineResponse20018.md)
 - [Cloudmersive.InlineResponse20018FoundViruses](docs/InlineResponse20018FoundViruses.md)
 - [Cloudmersive.InlineResponse2002](docs/InlineResponse2002.md)
 - [Cloudmersive.InlineResponse2003](docs/InlineResponse2003.md)
 - [Cloudmersive.InlineResponse2004](docs/InlineResponse2004.md)
 - [Cloudmersive.InlineResponse2005](docs/InlineResponse2005.md)
 - [Cloudmersive.InlineResponse2006](docs/InlineResponse2006.md)
 - [Cloudmersive.InlineResponse2007](docs/InlineResponse2007.md)
 - [Cloudmersive.InlineResponse2007TaggedSentences](docs/InlineResponse2007TaggedSentences.md)
 - [Cloudmersive.InlineResponse2007Words](docs/InlineResponse2007Words.md)
 - [Cloudmersive.InlineResponse2008](docs/InlineResponse2008.md)
 - [Cloudmersive.InlineResponse2008Word](docs/InlineResponse2008Word.md)
 - [Cloudmersive.InlineResponse2008Words](docs/InlineResponse2008Words.md)
 - [Cloudmersive.InlineResponse2009](docs/InlineResponse2009.md)
 - [Cloudmersive.Input](docs/Input.md)
 - [Cloudmersive.Input1](docs/Input1.md)
 - [Cloudmersive.Input2](docs/Input2.md)
 - [Cloudmersive.Request](docs/Request.md)
 - [Cloudmersive.Value](docs/Value.md)


## Documentation for Authorization


### Apikey

- **Type**: API key
- **API key parameter name**: Apikey
- **Location**: HTTP header

