# Cloudmersive.WordsApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**wordsAdjectives**](WordsApi.md#wordsAdjectives) | **POST** /nlp/get/words/adjectives/string | Get adjectives in string
[**wordsAdverbs**](WordsApi.md#wordsAdverbs) | **POST** /nlp/get/words/adverbs/string | Get adverbs in input string
[**wordsGetWordsJson**](WordsApi.md#wordsGetWordsJson) | **POST** /nlp/get/words/json | Get words in input string (JSON)
[**wordsGetWordsString**](WordsApi.md#wordsGetWordsString) | **POST** /nlp/get/words/string | Get words from string
[**wordsNouns**](WordsApi.md#wordsNouns) | **POST** /nlp/get/words/nouns/string | Get nouns in string
[**wordsPost**](WordsApi.md#wordsPost) | **POST** /nlp/get/words/verbs/string | Get the verbs in a string
[**wordsPronouns**](WordsApi.md#wordsPronouns) | **POST** /nlp/get/words/pronouns/string | Returns all pronounts in string
[**wordsProperNouns**](WordsApi.md#wordsProperNouns) | **POST** /nlp/get/words/properNouns/string | Get proper nouns in a string


<a name="wordsAdjectives"></a>
# **wordsAdjectives**
> &#39;String&#39; wordsAdjectives(input)

Get adjectives in string

Retrieves all adjectives in input string

### Example
```javascript
import Cloudmersive from 'cloudmersive';

let apiInstance = new Cloudmersive.WordsApi();

let input = "input_example"; // String | Input string


apiInstance.wordsAdjectives(input, (error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
});
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **input** | **String**| Input string | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded
 - **Accept**: application/json, text/json, application/xml, text/xml

<a name="wordsAdverbs"></a>
# **wordsAdverbs**
> &#39;String&#39; wordsAdverbs(input)

Get adverbs in input string

Returns all adverb words in the input string

### Example
```javascript
import Cloudmersive from 'cloudmersive';

let apiInstance = new Cloudmersive.WordsApi();

let input = "input_example"; // String | Input string


apiInstance.wordsAdverbs(input, (error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
});
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **input** | **String**| Input string | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded
 - **Accept**: application/json, text/json, application/xml, text/xml

<a name="wordsGetWordsJson"></a>
# **wordsGetWordsJson**
> InlineResponse20011 wordsGetWordsJson(input)

Get words in input string (JSON)

Get the component words in an input string, formatted as JSON

### Example
```javascript
import Cloudmersive from 'cloudmersive';

let apiInstance = new Cloudmersive.WordsApi();

let input = "input_example"; // String | String to process


apiInstance.wordsGetWordsJson(input, (error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
});
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **input** | **String**| String to process | 

### Return type

[**InlineResponse20011**](InlineResponse20011.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded
 - **Accept**: application/json, text/json, application/xml, text/xml

<a name="wordsGetWordsString"></a>
# **wordsGetWordsString**
> &#39;String&#39; wordsGetWordsString(input)

Get words from string

Segment an input string into its component words

### Example
```javascript
import Cloudmersive from 'cloudmersive';

let apiInstance = new Cloudmersive.WordsApi();

let input = "input_example"; // String | Input string


apiInstance.wordsGetWordsString(input, (error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
});
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **input** | **String**| Input string | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded
 - **Accept**: application/json, text/json, application/xml, text/xml

<a name="wordsNouns"></a>
# **wordsNouns**
> &#39;String&#39; wordsNouns(input)

Get nouns in string

Returns all of the nouns in the input string

### Example
```javascript
import Cloudmersive from 'cloudmersive';

let apiInstance = new Cloudmersive.WordsApi();

let input = "input_example"; // String | Input string


apiInstance.wordsNouns(input, (error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
});
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **input** | **String**| Input string | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded
 - **Accept**: application/json, text/json, application/xml, text/xml

<a name="wordsPost"></a>
# **wordsPost**
> &#39;String&#39; wordsPost(input)

Get the verbs in a string

Get all of the verbs in the input string.

### Example
```javascript
import Cloudmersive from 'cloudmersive';

let apiInstance = new Cloudmersive.WordsApi();

let input = "input_example"; // String | Input string


apiInstance.wordsPost(input, (error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
});
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **input** | **String**| Input string | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded
 - **Accept**: application/json, text/json, application/xml, text/xml

<a name="wordsPronouns"></a>
# **wordsPronouns**
> &#39;String&#39; wordsPronouns(input)

Returns all pronounts in string

Returns all pronouns in the input string

### Example
```javascript
import Cloudmersive from 'cloudmersive';

let apiInstance = new Cloudmersive.WordsApi();

let input = "input_example"; // String | Input string


apiInstance.wordsPronouns(input, (error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
});
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **input** | **String**| Input string | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded
 - **Accept**: application/json, text/json, application/xml, text/xml

<a name="wordsProperNouns"></a>
# **wordsProperNouns**
> &#39;String&#39; wordsProperNouns(input)

Get proper nouns in a string

Returns all of the proper nouns in a string.  Proper nouns are named entities such as \&quot;Hilton\&quot;.

### Example
```javascript
import Cloudmersive from 'cloudmersive';

let apiInstance = new Cloudmersive.WordsApi();

let input = "input_example"; // String | Input string


apiInstance.wordsProperNouns(input, (error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
});
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **input** | **String**| Input string | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded
 - **Accept**: application/json, text/json, application/xml, text/xml

