/**
 * Cloudmersive
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.2.1
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";

/**
* Resize service.
* @module api/ResizeApi
* @version 1.2.1
*/
export default class ResizeApi {

    /**
    * Constructs a new ResizeApi. 
    * @alias module:api/ResizeApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }


    /**
     * Callback function to receive the result of the resizePost operation.
     * @callback module:api/ResizeApi~resizePostCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Resize an image with parameters
     * Resize an image to a maximum width and maximum height, while preserving the image&#39;s original aspect ratio
     * @param {Number} maxWidth Maximum width of the output image - final image will be as large as possible while less than or equial to this width
     * @param {Number} maxHeight Maximum height of the output image - final image will be as large as possible while less than or equial to this height
     * @param {File} imageFile Image file to perform the operation on.  Common file formats such as PNG, JPEG are supported.
     * @param {module:api/ResizeApi~resizePostCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
    resizePost(maxWidth, maxHeight, imageFile, callback) {
      let postBody = null;

      // verify the required parameter 'maxWidth' is set
      if (maxWidth === undefined || maxWidth === null) {
        throw new Error("Missing the required parameter 'maxWidth' when calling resizePost");
      }

      // verify the required parameter 'maxHeight' is set
      if (maxHeight === undefined || maxHeight === null) {
        throw new Error("Missing the required parameter 'maxHeight' when calling resizePost");
      }

      // verify the required parameter 'imageFile' is set
      if (imageFile === undefined || imageFile === null) {
        throw new Error("Missing the required parameter 'imageFile' when calling resizePost");
      }


      let pathParams = {
        'maxWidth': maxWidth,
        'maxHeight': maxHeight
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
        'imageFile': imageFile
      };

      let authNames = [];
      let contentTypes = ['multipart/form-data'];
      let accepts = ['image/png'];
      let returnType = Object;

      return this.apiClient.callApi(
        '/image/resize/preserveAspectRatio/{maxWidth}/{maxHeight}', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }


}
